import 'package:flutter/material.dart';

import 'package:airbridge_flutter_sdk_example/basic/component/button_grid.dart';

import 'component/in_app_webview_page.dart';
import 'component/webview_flutter_page.dart';

import 'component/in_app_webview_host_page.dart';

class WebPage extends StatefulWidget {
  @override
  _WebPageState createState() =>
      new _WebPageState();
}
class _WebPageState extends State<WebPage> {

  @override
  Widget build(BuildContext context) {
     return SingleChildScrollView(
        child: Container(
          padding: EdgeInsets.all(6.0),
          child: Column(
            children: [
              Card(
                margin: EdgeInsets.all(6.0),
                child: Container(
                  padding: EdgeInsets.all(6.0),
                  child:(
                    Container(
                      child: Column(
                        children: [
                          Text(
                            "WebView Component",
                            maxLines: 1,
                            textAlign: TextAlign.center,
                          ),
                          ButtonGrid(
                            width: 1,
                            backColor: Colors.lightGreen,
                            textColor: Colors.white,
                            datas: [
                              ButtonData('InAppWebViewPage', (){
                                Navigator.push(
                                  context,
                                  MaterialPageRoute(builder: (context) => InAppWebViewPage()),
                                );
                              }),
                              ButtonData('WebViewFlutterPage', (){
                                Navigator.push(
                                  context,
                                  MaterialPageRoute(builder: (context) => WebViewFlutterPage()),
                                );
                              }),
                            ],
                          )
                        ]
                      )
                    )
                  )
                )
              ),
              Card(
                margin: EdgeInsets.all(3.0),
                child: Container(
                  padding: EdgeInsets.all(3.0),
                  child:(
                    Container(
                      child: Column(
                        children: [
                          Text(
                            "WebView Hosting",
                            maxLines: 1,
                            textAlign: TextAlign.center,
                          ),
                          ButtonGrid(
                            width: 1,
                            backColor: Colors.blueGrey,
                            textColor: Colors.white,
                            datas: [
                              ButtonData('InAppWebViewHostPage', (){
                                Navigator.push(
                                  context,
                                  MaterialPageRoute(builder: (context) => InAppWebViewHostPage()),
                                );
                              }),
                            ],
                          )
                        ]
                      )
                    )
                  )
                )
              )
            ]
          )
        )
      );
  }
}